/Users/bernard/b20/bsoft/src/rwparam/rwmd.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/rwparam/rwmd.cpp - Library routines to read and write molecular dynamics parameters in STAR format.

SYNOPSIS

#include 'rwmd.h'
#include 'rwstar.h'
#include 'mol_tags.h'
#include 'linked_list.h'
#include 'utilities.h'

  Functions
Bmd * md_init ()
Initializes a molecular dynamics structure.
Bmd * md_init_with_types ()
Initializes a molecular dynamics structure.
Bmd * read_md_parameters (Bstring &filename)
Reading molecular dynamics parameters from STAR files.
int write_md_parameters (Bstring &filename, Bmd *md)
Writing molecular dynamics parameters to a STAR file.
Bbondtype * bond_type_add (Bbondtype **bond, char *symbol1, char *symbol2, float covlength, float vdwdist)
Bangletype * angle_type_add (Bangletype **angle, char *symbol1, char *symbol2, char *symbol3, float a)
int md_kill (Bmd *md)
Deallocates a molecular dynamics structure.

  Variables
int verbose

Detailed Description

Library routines to read and write molecular dynamics parameters in STAR format.

Author:
    Bernard Heymann

Date:
    Created: 20030919

    Modified: 20080924

Definition in file rwmd.cpp.

Function Documentation

  Bangletype* angle_type_add (Bangletype ** angle, char * symbol1, char * symbol2, char * symbol3, float a)

Definition at line 385 of file rwmd.cpp.

  Bbondtype* bond_type_add (Bbondtype ** bond, char * symbol1, char * symbol2, float covlength, float vdwdist)

Definition at line 347 of file rwmd.cpp.

  Bmd* md_init ()

Initializes a molecular dynamics structure.

Returns:
    Bmd* molecular dynamics structure.

    The coefficients for the Lennard-Jones Van der Waals interaction are
    defined as:
        VdWcoeff1 = 1/12
        VdWcoeff2 = 1/6

Definition at line 28 of file rwmd.cpp.

  Bmd* md_init_with_types ()

Initializes a molecular dynamics structure.

Returns:
    Bmd* molecular dynamics structure.

    The coefficients for the Lennard-Jones Van der Waals interaction are
    defined as:
        VdWcoeff1 = 1/12
        VdWcoeff2 = 1/6

Definition at line 51 of file rwmd.cpp.

  int md_kill (Bmd * md)

Deallocates a molecular dynamics structure.

Parameters:
    *md molecular dynamics structure.

Returns:
    int 0.

    All linked lists within the structure is also deallocated.

Definition at line 417 of file rwmd.cpp.

  Bmd* read_md_parameters (Bstring & filename)

Reading molecular dynamics parameters from STAR files.

Parameters:
    &filename file name (or comma-delimited list).

Returns:
    Bmd* molecular dynamics structure.

Definition at line 80 of file rwmd.cpp.

  int write_md_parameters (Bstring & filename, Bmd * md)

Writing molecular dynamics parameters to a STAR file.

Parameters:
    &filename file name (or comma-delimited list).
    *md molecular dynamics parameters structure.

Returns:
    int error code (<0 means failure).

Definition at line 237 of file rwmd.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.